INCLUDES = $(all_includes) -I../../kmfwidgets -I../../ipteditor
METASOURCES = AUTO
kde_module_LTLIBRARIES =  libkmfruleoptionedit_protocol.la

libkmfruleoptionedit_protocol_la_LDFLAGS = -module -no-undefined \
	$(all_libraries) $(KDE_PLUGIN) $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)
libkmfruleoptionedit_protocol_la_LIBADD = \
	../../kmfwidgets/libkmfwidgets.la ../../core/libkmfcore.la $(LIB_TDEPARTS)
noinst_HEADERS =  kmfruleoptioneditprotocol.h kmfruleeditorprotocol.h 

libkmfruleoptionedit_protocol_la_SOURCES = kmfruleoptioneditprotocol.cpp kmfruleeditorprotocol.cpp kmyfirewallruleeditorprotocol.ui

partdesktopdir = $(kde_servicesdir)
partdesktop_DATA = kmfruleoptionedit_protocol.desktop


install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/

	$(INSTALL_DATA)  $(srcdir)/kmfruleoption_protocol_option.xml $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/kmfruleoption_protocol_option.xml

uninstall-local:
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/kmfruleoption_protocol_option.xml


